diff -ur sourceold/scripts/AudibleSoundDefinitionClass.h source/scripts/AudibleSoundDefinitionClass.h
--- sourceold/scripts/AudibleSoundDefinitionClass.h	2018-11-17 10:23:56.957600000 +1000
+++ source/scripts/AudibleSoundDefinitionClass.h	2019-06-22 07:43:44.219400000 +1000
@@ -55,6 +55,8 @@
 	virtual void Set_Pitch_Factor_Randomizer(float f) {m_PitchFactorRandomizer = f;}
 	virtual void Set_Virtual_Channel(int i) {m_VirtualChannel = i;}
 	virtual LogicalSoundClass* Create_Logical() const;
+	float Get_Logical_DropOff_Radius() const {return m_LogicalDropoffRadius;}
+	int Get_Logical_Type() const {return m_LogicalType;}
 	AudibleSoundDefinitionClass();
 	bool Save_Variables(ChunkSaveClass&);
 	bool Load_Variables(ChunkLoadClass&);
